cost 83 ms
rpm/yum/dnf 一个(或两个)liner 来确定 package 是否需要更新?

[英]rpm/yum/dnf one (or two) liner to determine whether a package needs updating?

更新:根据 John Bollinger 的回答,至少提供一些信息的工作代码如下...... 作为打包/管理复杂项目的一部分,我需要自动确定是否需要安装或升级 package。 第一部分,安装,很简单(示例显示在bash中;我使用了一个非常简短的形式来说明:实际代码将更具防御性和信息性): rpm ...

在 docker 文件中安装旧包

[英]Install old packages in docker file

我们使用 docker 个容器作为我们的构建工作区。 为了编译我们的遗留代码,我们需要使用一些 Linux rpms 的非常旧版本。 我尝试给出旧 rpm 的全名及其版本,但最终出现错误 package 不可用。 请求帮助我如何开发我的 docker 文件来安装这些旧包。 我尝试过使用 alpine ...

使用 ansible 收集和修改事实并将 POST 修改 json 为 http API

[英]Use ansible to gather and modify fact and POST modified json to http API

在使用 Ansible 修补基于 yum 的 Linux 主机之前,我想收集有关当前安装的软件包的事实并将详细信息写入 http API。 第一个任务是收集事实并将其存储在变量中: tasks: - name: Gather installed packages yum: ...

我尝试安装的 Yum 依赖项没有提供程序

[英]Yum dependency I'm trying to install doesn't have a provider

我尝试安装的 rlwrap 包的依赖项之一没有提供程序。 有没有我可以传递给安装程序的命令行选项,让它忘记 perl(File::Slurp) 依赖项? 我已经单独安装了 perl(File::Slurp) 依赖项。 作为参考,这是我用来安装 rlwrap 包和错误的命令: 我已经尝试了 yum 输 ...

dnf/yum 安装旧版本的传递依赖

[英]dnf/yum installs an old version of a transitive dependency

package java-1.8.0-openjdk-headless-1:1.8.0.352.b08-2.el8_7需要nss (我可以通过 repoquery 检查的任何版本) 如果您检查该 package 的可用版本列表 但是,当您安装java-1.8.0-openjdk-headless ...

npm@8.19.2 ppc64:来自 package.json 的脚本以“: --: not found”退出

[英]npm@8.19.2 ppc64: Scripts from package.json exit with ": --: not found"

当运行 package.json 中声明的任何脚本时,npm@8.19.2 (ppc64) 会退出而不引发 STDERR 消息,但不会执行脚本。 与npm@6.14.16在同一台机器上,脚本正常执行。 无论脚本是什么,显示的消息都是<ScriptContent>: --: not fou ...

如何以普通用户(非 root)下载 RPM package 及其依赖项

[英]How to download a RPM package, and his dependencies as a normal user (not root)

我可以使用以下命令下载 package 及其依赖项: 但是这个命令需要超级用户权限。 这是违反直觉的,因为我只是下载文件,而不是安装任何东西。 但我想在运行插件之前命令检查权限。 是否有另一个命令可以在没有超级用户权限的情况下获得相同的结果? 命令yum download存在,但它不像上面的命令那样 ...

2022-11-18 15:38:58   1   64    rpm / yum  
无法为 Fedora 下载 pgadmin4

[英]Can't download pgadmin4 for Fedora

尝试从 Fedora 37 系统下载 pgadmin4 时出现以下错误。 我正在关注此处显示的官方文档: https://www.pgadmin.org/download/pgadmin-4-rpm/ 我试过:sudo dnf clean all; sudo dnf 更新; sudo rm - ...

如何使用 Ansible 获取最新的 package 版本

[英]How to get latest package version with Ansible

我正在尝试最好使用 Ansible yum模块复制命令yum check-update package_name 。 它提供了在执行yum update后将更新哪个版本 package 的信息(或 ansible 等效版本)。 例如:root@host: $ yum check-update ker ...

2022-11-17 14:02:46   1   47    ansible / yum  
在 CentOS 上安装 MySQL NDB cluster。使用什么版本?

[英]Install MySQL NDB cluster on CentOS. What version use?

我是 Linux 的新手。出于测试目的,我需要安装 NDB Mysql cluser。 阅读大量文档和操作方法。 结果我不明白。 例如https://featout.com/the-complete-guide-mysql-cluster-on-centos-7/它有说明例如 我有疑问为什么指令有 ...

无法在 Redhat 7 上安装 openblas-devel

[英]Unable to install openblas-devel on Redhat 7

我试过下面的命令 但是 package 在使用 Yum 时不可用我的 Yum.conf 如下 尝试了下面提供的解决方案,但仍然无效 ...

2022-10-05 21:54:21   1   158    redhat / yum  
YUM 命令问题

[英]YUM command issues

我之前尝试使用以下命令在我的 yum 存储库上安装 package: 出于某种原因,例如,当我运行时: 我收到以下消息: 我可以做些什么来解决这个问题并恢复 yum 功能? 我说错误消息中提到的 rpm 包不存在。 请帮我解决这种情况。 ...

2022-09-07 03:27:51   1   17    yum  
yum install 只显示“Loaded plugins:fastestmirror, langpacks”然后退出安装

[英]yum install only displays "Loaded plugins: fastestmirror, langpacks" then exits the installation

当我执行命令安装 package 时,我得到的只是以下消息:“加载的插件:fastestmirror,langpacks”。 然后退出安装,我看到一个命令提示符。 例如,我想安装 libgit2-devel package,所以我执行以下行: sudo yum -disablerepo=”*” –e ...

如何安排 yum-cron 每月在 Centos 上运行,以便每月自动更新服务器

[英]How to schedule yum-cron to run on Centos Monthly in order to automate monthly server updates

我想自动化 CentOS7 服务器更新。 根据互联网,可以通过安装 yum-cron 并编辑/etc/yum/yum-cron.conf文件来实现。 但是,我不知道如何安排它每月运行。 我曾尝试在 anacrontab 中安排它,但它似乎不起作用(没有任何反应)。 它似乎工作的唯一一次是当我在/et ...

2022年如何在centos 6上安装FFMpeg?

[英]How to Install FFMpeg on centos 6 in 2022?

我的一个客户要求将视频添加到他们的网站,我决定在他们的服务器上安装 FFMpeg,这样每当他们上传视频时,该服务会自动生成预览的第一帧并将它们编码到 webm 中。 可悲的是,如果不自己编译它似乎是不可能安装的(我真的不想这样做,因为我以前从未做过,也不想冒险破坏他们的服务器中的某些东西), 服务 ...


 
粤ICP备18138465号  © 2020-2023 STACKOOM.COM